Name:		qubes-input-proxy
Version:	1.0.23
Release:	1%{?dist}
Obsoletes:	input-proxy
Summary:	Simple input device proxy (dom0)

Group:		System Environment/Daemons
License:	GPLv2
URL:		https://www.qubes-os.org/

BuildRequires:	gcc
BuildRequires:	kernel-headers
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel

Requires: %{name}-receiver

Source0: %{name}-%{version}.tar.gz

%description
Simple input device proxy, which pass events from /dev/input/eventN device, to
/dev/uintput. It uses stdin/stdout, so it suitable for use as Qubes RPC service.
This package is receiver part.

%package sender
Summary:    Simple input device proxy (sender)
%{?systemd_requires}
BuildRequires:  systemd

%description sender
Simple input device proxy, which pass events from /dev/input/eventN device, to
/dev/uintput. It uses stdin/stdout, so it suitable for use as Qubes RPC service.
This package is sender part.

%package receiver
Summary:    Simple input device proxy (receiver)
%{?systemd_requires}
BuildRequires:  systemd

%description receiver
Simple input device proxy, which pass events from /dev/input/eventN device, to
/dev/uintput. It uses stdin/stdout, so it suitable for use as Qubes RPC service.
This package is sender part.

%prep
%setup -q

%build
make %{?_smp_mflags} all


%install
make install DESTDIR=%{buildroot} PYTHON=%{__python3}

%files
%doc README.md
%defattr(-,root,root,-)
%dir %{python3_sitelib}/qubesinputproxy-*.egg-info
%{python3_sitelib}/qubesinputproxy-*.egg-info/*
%{python3_sitelib}/qubesinputproxy
%attr(0664,root,qubes) %config(noreplace) /etc/qubes-rpc/policy/qubes.InputMouse
%attr(0664,root,qubes) %config(noreplace) /etc/qubes-rpc/policy/qubes.InputKeyboard
%attr(0664,root,qubes) %config(noreplace) /etc/qubes-rpc/policy/qubes.InputTablet

%files sender
%doc README.md
%defattr(-,root,root,-)
/etc/sudoers.d/qubes-input-trigger
/usr/bin/input-proxy-sender
/usr/bin/qubes-input-sender
/usr/bin/qubes-input-trigger
%config(noreplace) /etc/xdg/autostart/qubes-input-trigger.desktop
/lib/udev/rules.d/90-qubes-input-proxy.rules
%{_unitdir}/qubes-input-sender-tablet@.service
%{_unitdir}/qubes-input-sender-mouse@.service
%{_unitdir}/qubes-input-sender-keyboard@.service
%{_unitdir}/qubes-input-sender-keyboard-mouse@.service

%files receiver
%doc README.md
%defattr(-,root,root,-)
/usr/bin/input-proxy-receiver
/etc/qubes-rpc/qubes.InputMouse
/etc/qubes-rpc/qubes.InputKeyboard
/etc/qubes-rpc/qubes.InputTablet
/lib/udev/rules.d/90-qubes-uinput.rules
/lib/modules-load.d/qubes-uinput.conf

%changelog
* Sun Jan 03 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-input-proxy.git

* Sun Jan 03 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eadd478
- version 1.0.23

* Thu Dec 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8da370d
- Don't use sudo when already running as root

* Fri Dec 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 474e513
- Update sudo rules for new startup trigger mechanism

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a51d0ce
- Add .gitlab-ci.yml

* Tue Nov 03 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce5b8b8
- version 1.0.22

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 09951e8
- Use rpm-dictated python3 version

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cb25fad
- Second attempt at filtering QEMU USB tablet

* Sun Nov 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 17f936a
- version 1.0.21

* Sat Oct 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cfb71ba
- rpm: claim ownership over python package dir itself

* Sat Oct 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5c44156
- Add test for QEMU tablet filtering

* Sat Oct 31 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0136bae
- Fix filtering of QEMU tablet from sys-usb to dom0

* Sat Oct 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c4c407b
- version 1.0.20

* Wed Sep 30 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 025bedd
- tests: remove leftover previous attempts

* Wed Sep 30 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - cb4f8cc
- Use --dom0 switch to allow or not virtual, acpi or platform devices

* Fri Sep 25 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ba2a787
- Refactor qubes-input-trigger to be used by udev rules

* Wed Sep 23 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f8cdc88
- Filter out QEMU tablet provided by HVM

* Mon Sep 21 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c832d06
- Simplify method for dom0/VM input trigger

* Sat Sep 19 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7388e80
- Send every non qubes devices from dom0 to sys-gui-gpu

* Mon Aug 31 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 87247f3
- qubes-input-sender-*: add third party script to handle dom0 and VM

* Sun Aug 30 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 93ec5c5
- Add script for trigger sending dom0 ps2 devices

* Tue Aug 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dbd09c1
- version 1.0.19

* Sat Aug 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 649fcf2
- debian: add /lib/modules-load.d/qubes-uinput.conf, update packaging

* Sat Aug 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bdb8d30
- rpm: split receiver part into a separate package

* Sat Aug 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a43b164
- tests: wait for user session on R4.0+ too

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ff63ac9
- Update travis

* Sun Mar 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5760a9f
- version 1.0.18

* Sun Mar 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d7456a4
- tests: fix delayed GUI start

* Wed Feb 26 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d024b19
- version 1.0.17

* Mon Feb 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 83428f5
- Make files in /etc/qubes-rpc a proper scripts

* Mon Nov 18 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d618e63
- version 1.0.16

* Mon Oct 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9041c87
- travis: drop jessie, add fc31

* Mon Oct 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6d5e00c
- Drop python2 packaging

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 096b2e5
- travis: switch to bionic

* Sun Apr 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d3269f3
- version 1.0.15

* Sun Apr 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 201c7b4
- travis: drop R3.2

* Fri Apr 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce57fe2
- travis: update Fedora and Debian versions, switch to xenial

* Fri Apr 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b760fd9
- Convert qubes-input-trigger to python3

* Sun Mar 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7b0896c
- version 1.0.14

* Sat Jan 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4920d9d
- tests: try not to hit the menu on tablet tests

* Sat Jan 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 368431b
- tests: drop right and middle buttons from emulated touchscreen

* Sat Jan 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 76c725a
- tests: round coordinates received from X server

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 61c2330
- debian: don't create orig.tar.gz manually

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e5d6c7a
- version 1.0.13

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9634785
- travis: add fc28 and fc29

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 65bb4b9
- rpm: name python2 explicitly, instead of relying on python -> python2 symlink

* Tue Oct 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b7a7fa8
- rpm: add BR: gcc

* Wed May 23 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e20165c
- version 1.0.12

* Wed May 23 2018 Frédéric Pierret <frederic.epitre@orange.fr> - abe1d76
- Fix remaining old define version

* Fri May 04 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 516d884
- Add tablet/touchscreen handling to qubes-input-trigger

* Wed May 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4fc2b07
- version 1.0.11

